#include <string>
#include <vector>

#ifndef UI_NGCOMMON
#define UI_NGCOMMON

// constants for the whichfile argument to ngcat
#define STDOUT 0
#define STDERR 1
#define GMLOG 2

#ifndef UNDEFINED
#define UNDEFINED -1
#endif


int ngcat (const vector <string> & jobs,
	   const vector <string> & joblists,
	   const bool all,
	   const int whichfile = STDOUT,
	   int timeout = UNDEFINED,
	   int debug = UNDEFINED,
	   const bool anonymous = false);

int ngclean (const vector <string> & jobs,
	     const vector <string> & joblists,
	     const bool all,
	     const bool force = false,
	     int timeout = UNDEFINED,
	     int debug = UNDEFINED,
	     const bool anonymous = false);

int ngget (const vector <string> & jobs,
	   const vector <string> & joblists,
	   const bool all,
	   string & directory,
	   const bool usejobname = false,
	   const bool keep = false,
	   int timeout = UNDEFINED,
	   int debug = UNDEFINED,
	   const bool anonymous = false);

int ngkill (const vector <string> & jobs,
	    const vector <string> & joblists,
	    const bool all,
	    int timeout = UNDEFINED,
	    int debug = UNDEFINED,
	    const bool anonymous = false);

int ngrenew (const vector <string> & jobs,
	     const vector <string> & joblists,
	     const bool all,
	     int timeout = UNDEFINED,
	     int debug = UNDEFINED,
	     const bool anonymous = false);

int ngstat (const vector <string> & jobs,
	    const vector <string> & joblists,
	    const bool all,
	    const vector <string> & giisurls,
	    const bool clusters = false,
	    const bool longlist = false,
	    int timeout = UNDEFINED,
	    int debug = UNDEFINED,
	    const bool anonymous = false);

int ngsub (const vector <string> & xrslfiles,
	   const vector <string> & xrslstrings,
	   const vector <string> & giisurls,
	   const vector <string> & clusterselect,
	   const vector <string> & clusterreject,
	   const string & joblist,
	   const bool dryrun = false,
	   const bool dumpxrsl = false,
	   int timeout = UNDEFINED,
	   int debug = UNDEFINED,
	   const bool anonymous = false);

int ngsync (const vector <string> & giisurls,
	    const bool force = false,
	    int timeout = UNDEFINED,
	    int debug = UNDEFINED,
	    const bool anonymous = false);

#endif
